Bug 927432 - [abrt]: BUG: sleeping function called from invalid context at kernel/rcutree.c:2314
[abrt]: BUG: sleeping function called from invalid context at kernel/rcutree....
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
x86_64 Linux
urgent Severity urgent
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
abrt_hash:b3694bae6a9bd8a50cf7da8aa3e...
:
: 950626 (view as bug list)
Depends On:
Blocks: F19Blocker/F19FinalBlocker F19PPCBeta/F19PPCBetaBlocker/PPCBetaBlocker
  Show dependency treegraph
 
Reported: 2013-03-25 17:47 EDT by Philipp Dreimann
Modified: 2013-05-16 10:56 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-16 10:56:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Philipp Dreimann 2013-03-25 17:47:46 EDT
Additional info:
BUG: sleeping function called from invalid context at kernel/rcutree.c:2314
in_atomic(): 1, irqs_disabled(): 0, pid: 216, name: multipathd
1 lock held by multipathd/216:
 #0:  (&md->type_lock){+.+.+.}, at: [<ffffffff8156a447>] dm_lock_md_type+0x17/0x20
Pid: 216, comm: multipathd Not tainted 3.9.0-0.rc3.git0.5.fc20.x86_64 #1
Call Trace:
 [<ffffffff810a3339>] __might_sleep+0x179/0x230
 [<ffffffff81120e8e>] synchronize_sched+0x2e/0x100
 [<ffffffff81332125>] blk_queue_bypass_start+0x85/0xb0
 [<ffffffff8134914d>] blkcg_activate_policy+0x7d/0x3c0
 [<ffffffff8156a6c0>] ? dm_start_request+0x50/0x50
 [<ffffffff8134e82a>] cfq_init_queue+0x7a/0x3a0
 [<ffffffff8156a6c0>] ? dm_start_request+0x50/0x50
 [<ffffffff8132bd03>] elevator_init+0x83/0x150
 [<ffffffff81334b0c>] blk_init_allocated_queue+0x8c/0xb0
 [<ffffffff8156a516>] dm_setup_md_queue+0x46/0xc0
 [<ffffffff8156fdfe>] table_load+0x1ae/0x330
 [<ffffffff8156fc50>] ? list_devices+0x180/0x180
 [<ffffffff81571245>] ctl_ioctl+0x275/0x4e0
 [<ffffffff815714c3>] dm_ctl_ioctl+0x13/0x20
 [<ffffffff811edd35>] do_vfs_ioctl+0x305/0x530
 [<ffffffff812f29db>] ? selinux_file_ioctl+0x5b/0x110
 [<ffffffff811edfe1>] sys_ioctl+0x81/0xa0
 [<ffffffff81721d19>] system_call_fastpath+0x16/0x1b
Comment 1 Mark Hamzy 2013-04-17 10:26:32 EDT
I see this in a ppc64 machine:

Welcome to the 64-bit Fedora 19 installer!
Hit <TAB> for boot options.


Welcome to yaboot version 1.3.17 (Red Hat 1.3.17-6.fc19)
Enter "help" to get some basic usage information
boot: linux inst.vnc inst.sshd ip=9.114.214.127::9.114.214.254:255.255.255.0:riley6.stglabs.ibm.com:eth0:none nameserver=9.114.8.1
Please wait, loading kernel...
   Elf64 kernel loaded...
Loading ramdisk...
ramdisk loaded at 04500000, size: 29109 Kbytes
OF stdout device is: /vdevice/vty@30000000
Preparing to boot Linux version 3.9.0-0.rc6.git2.4.fc19.ppc64 (mockbuild@ppc-builder5.qa.fedoraproject.org) (gcc version 4.8.0 20130322 (Red Hat 4.8.0-1) (GCC) ) #1 SMP Mon Apr 15 19:05:07 MST 2013
Detected machine type: 0000000000000101
Max number of cores passed to firmware: 512 (NR_CPUS = 1024)
Calling ibm,client-architecture-support... done
command line: ro  inst.vnc inst.sshd ip=9.114.214.127::9.114.214.254:255.255.255.0:riley6.stglabs.ibm.com:eth0:none nameserver=9.114.8.1
memory layout at init:
  memory_limit : 0000000000000000 (16 MB aligned)
  alloc_bottom : 0000000006170000
  alloc_top    : 0000000008000000
  alloc_top_hi : 0000000008000000
  rmo_top      : 0000000008000000
  ram_top      : 0000000008000000
instantiating rtas at 0x0000000006d10000... done
Querying for OPAL presence... not there.
boot cpu hw idx 0
starting cpu hw idx 2... done
starting cpu hw idx 4... done
starting cpu hw idx 6... done
copying OF device tree...
Building dt strings...
Building dt structure...
Device tree strings 0x0000000006280000 -> 0x00000000062815d9
Device tree struct  0x0000000006290000 -> 0x00000000062b0000
Calling quiesce...
returning from prom_init
[    0.000000] Using pSeries machine description
[    0.000000] Using 1TB segments
[    0.000000] Found initrd at 0xc000000004500000:0xc00000000616d758
[    0.000000] bootconsole [udbg0] enabled
[    0.000000] Partition configured for 8 cpus.
[    0.000000] CPU maps initialized for 2 threads per core
[    0.000000] Starting Linux PPC64 #1 SMP Mon Apr 15 19:05:07 MST 2013
[    0.000000] -----------------------------------------------------
[    0.000000] ppc64_pft_size                = 0x1a
[    0.000000] physicalMemorySize            = 0x60000000
[    0.000000] htab_hash_mask                = 0x7ffff
[    0.000000] -----------------------------------------------------
[    0.000000] Initializing cgroup subsys cpuset
[    0.000000] Initializing cgroup subsys cpu
[    0.000000] Linux version 3.9.0-0.rc6.git2.4.fc19.ppc64 (mockbuild@ppc-builder5.qa.fedoraproject.org) (gcc version 4.8.0 20130322 (Red Hat 4.8.0-1) (GCC) ) #1 SMP Mon Apr 15 19:05:07 MST 2013
[    0.000000] [boot]0012 Setup Arch
[    0.000000] PPC64 nvram contains 15360 bytes
[    0.000000] Zone ranges:
[    0.000000]   DMA      [mem 0x00000000-0x5fffffff]
[    0.000000]   Normal   empty
[    0.000000] Movable zone start for each node
[    0.000000] Early memory node ranges
[    0.000000]   node   0: [mem 0x00000000-0x5fffffff]
[    0.000000] [boot]0015 Setup Done
[    0.000000] PERCPU: Embedded 30 pages/cpu @c000000002400000 s1926016 r0 d40064 u2097152
[    0.000000] Built 1 zonelists in Node order, mobility grouping on.  Total pages: 24555
[    0.000000] Policy zone: DMA
[    0.000000] Kernel command line: ro  inst.vnc inst.sshd ip=9.114.214.127::9.114.214.254:255.255.255.0:riley6.stglabs.ibm.com:eth0:none nameserver=9.114.8.1
[    0.000000] PID hash table entries: 4096 (order: -1, 32768 bytes)
[    0.000000] freeing bootmem node 0
[    0.000000] Memory: 1389568k/1572864k available (21312k kernel code, 183296k reserved, 1920k data, 12905k bss, 8640k init)
[    0.000000] SLUB: Genslabs=19, HWalign=128, Order=0-3, MinObjects=0, CPUs=8, Nodes=256
[    0.000000] Hierarchical RCU implementation.
[    0.000000] 	RCU lockdep checking is enabled.
[    0.000000] 	RCU restricting CPUs from NR_CPUS=1024 to nr_cpu_ids=8.
[    0.000000] NR_IRQS:512 nr_irqs:512 16
[    0.000000] clocksource: timebase mult[1f40000] shift[24] registered
[    0.000000] Console: colour dummy device 80x25
[    0.000000] console [hvc0] enabled, bootconsole disabled
[    0.000000] console [hvc0] enabled, bootconsole disabled
[    0.000000] Lock dependency validator: Copyright (c) 2006 Red Hat, Inc., Ingo Molnar
[    0.000000] ... MAX_LOCKDEP_SUBCLASSES:  8
[    0.000000] ... MAX_LOCK_DEPTH:          48
[    0.000000] ... MAX_LOCKDEP_KEYS:        8191
[    0.000000] ... CLASSHASH_SIZE:          4096
[    0.000000] ... MAX_LOCKDEP_ENTRIES:     16384
[    0.000000] ... MAX_LOCKDEP_CHAINS:      32768
[    0.000000] ... CHAINHASH_SIZE:          16384
[    0.000000]  memory used by lock dependency info: 6367 kB
[    0.000000]  per task-struct memory footprint: 2688 bytes
[    0.000000] allocated 393216 bytes of page_cgroup
[    0.000000] please try 'cgroup_disable=memory' option if you don't want memory cgroups
[    0.000000] kmemleak: Kernel memory leak detector disabled
[    0.006299] pid_max: default: 32768 minimum: 301
[    0.006932] Security Framework initialized
[    0.006944] SELinux:  Initializing.
[    0.007978] Dentry cache hash table entries: 262144 (order: 5, 2097152 bytes)
[    0.008734] Inode-cache hash table entries: 131072 (order: 4, 1048576 bytes)
[    0.009255] Mount-cache hash table entries: 4096
[    0.024133] Initializing cgroup subsys cpuacct
[    0.024143] Initializing cgroup subsys memory
[    0.025361] Initializing cgroup subsys devices
[    0.025381] Initializing cgroup subsys freezer
[    0.025404] Initializing cgroup subsys net_cls
[    0.025415] Initializing cgroup subsys blkio
[    0.025424] Initializing cgroup subsys perf_event
[    0.025716] ftrace: allocating 22655 entries in 9 pages
[    0.042322] EEH: pSeries platform initialized
[    0.042330] POWER6 performance monitor hardware support registered
[    0.056589] Brought up 8 CPUs
[    0.060148] devtmpfs: initialized
[    0.080228] EEH: devices created
[    0.084738] atomic64 test passed
[    0.085762] NET: Registered protocol family 16
[    0.085891] EEH: No capable adapters found
[    0.086316] IBM eBus Device Driver
[    0.099227] PCI: Probing PCI hardware
[    0.099258] opal: Node not found
[    0.119865] bio: create slab <bio-0> at 0
[    0.121288] vgaarb: loaded
[    0.123646] SCSI subsystem initialized
[    0.124757] usbcore: registered new interface driver usbfs
[    0.124914] usbcore: registered new interface driver hub
[    0.125121] usbcore: registered new device driver usb
[    0.127668] NetLabel: Initializing
[    0.127673] NetLabel:  domain hash size = 128
[    0.127678] NetLabel:  protocols = UNLABELED CIPSOv4
[    0.127881] NetLabel:  unlabeled traffic allowed by default
[    0.546995] DMA-API: preallocated 65536 debug entries
[    0.547007] DMA-API: debugging enabled by kernel config
[    0.547040] Switching to clocksource timebase
[    0.754939] NET: Registered protocol family 2
[    0.756535] TCP established hash table entries: 16384 (order: 2, 262144 bytes)
[    0.756699] TCP bind hash table entries: 16384 (order: 4, 1310720 bytes)
[    0.758434] TCP: Hash tables configured (established 16384 bind 16384)
[    0.758531] TCP: reno registered
[    0.758566] UDP hash table entries: 1024 (order: 1, 196608 bytes)
[    0.758808] UDP-Lite hash table entries: 1024 (order: 1, 196608 bytes)
[    0.759850] NET: Registered protocol family 1
[    0.760397] Unpacking initramfs...
[    6.945380] Freeing initrd memory: 29120k freed
[    6.979120] IOMMU table initialized, virtual merging enabled
[    7.056440] audit: initializing netlink socket (disabled)
[    7.056582] type=2000 audit(1366208106.040:1): initialized
[    7.172811] HugeTLB registered 16 MB page size, pre-allocated 0 pages
[    7.172822] HugeTLB registered 16 GB page size, pre-allocated 0 pages
[    7.221774] VFS: Disk quotas dquot_6.5.2
[    7.222255] Dquot-cache hash table entries: 8192 (order 0, 65536 bytes)
[    7.230076] msgmni has been set to 2900
[    7.232971] cryptomgr_test (62) used greatest stack depth: 11776 bytes left
[    7.234634] cryptomgr_test (67) used greatest stack depth: 11584 bytes left
[    7.234929] alg: No test for stdrng (krng)
[    7.234960] NET: Registered protocol family 38
[    7.235514] Block layer SCSI generic (bsg) driver version 0.4 loaded (major 252)
[    7.235824] io scheduler noop registered
[    7.235831] io scheduler deadline registered
[    7.236436] io scheduler cfq registered (default)
[    7.247037] pci_hotplug: PCI Hot Plug PCI Core version: 0.5
[    7.251575] Serial: 8250/16550 driver, 4 ports, IRQ sharing enabled
[    7.255538] Linux agpgart interface v0.103
[    7.268092] loop: module loaded
[    7.268470] Uniform Multi-Platform E-IDE driver
[    7.268834] ide-gd driver 1.18
[    7.271067] libphy: Fixed MDIO Bus: probed
[    7.271568] ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
[    7.271657] ehci-pci: EHCI PCI platform driver
[    7.271744] ohci_hcd: USB 1.1 'Open' Host Controller (OHCI) Driver
[    7.271903] uhci_hcd: USB Universal Host Controller Interface driver
[    7.273048] usbcore: registered new interface driver usbserial
[    7.273137] usbcore: registered new interface driver usbserial_generic
[    7.273239] usbserial: USB Serial support registered for generic
[    7.273832] mousedev: PS/2 mouse device common for all mice
[    7.275146] rtc-generic rtc-generic: rtc core: registered rtc-generic as rtc0
[    7.276486] device-mapper: uevent: version 1.0.3
[    7.277798] device-mapper: ioctl: 4.24.0-ioctl (2013-01-15) initialised: dm-devel@redhat.com
[    7.279465] cpuidle: using governor ladder
[    7.281205] cpuidle: using governor menu
[    7.281506] hidraw: raw HID events driver (C) Jiri Kosina
[    7.282810] usbcore: registered new interface driver usbhid
[    7.282816] usbhid: USB HID core driver
[    7.283380] drop_monitor: Initializing network drop monitor service
[    7.283874] ip_tables: (C) 2000-2006 Netfilter Core Team
[    7.284053] TCP: cubic registered
[    7.284065] Initializing XFRM netlink socket
[    7.286301] NET: Registered protocol family 10
[    7.289081] mip6: Mobile IPv6
[    7.289101] NET: Registered protocol family 17
[    7.292493] registered taskstats version 1
[    7.294395] rtc-generic rtc-generic: setting system clock to 2013-04-17 14:15:06 UTC (1366208106)
[    7.296741] Freeing unused kernel memory: 8640k freed
[    7.444823] systemd[1]: systemd 200 running in system mode. (+PAM +LIBWRAP +AUDIT +SELINUX +IMA +SYSVINIT +LIBCRYPTSETUP +GCRYPT +ACL +XZ)
[    7.445089] systemd[1]: Running in initial RAM disk.

Welcome to [0;34mFedora 19 (Schrödinger’s Cat) dracut-027-1.fc19 (Initramfs)[0m!

[    7.446755] systemd[1]: No hostname configured.
[    7.446791] systemd[1]: Set hostname to <localhost>.
[    7.447753] systemd[1]: Initializing machine ID from random generator.
[    7.461782] systemd-fstab-g (75) used greatest stack depth: 9952 bytes left
[    7.478813] systemd[1]: Starting Timers.
[[32m  OK  [0m] Reached target Timers.
[    7.479352] systemd[1]: Reached target Timers.
[    7.479379] systemd[1]: Starting Journal Socket.
[[32m  OK  [0m] Listening on Journal Socket.
[    7.480481] systemd[1]: Listening on Journal Socket.
[    7.482215] systemd[1]: Starting dracut cmdline hook...
         Starting dracut cmdline hook...
[    7.490636] systemd[1]: Started Load Kernel Modules.
[    7.490666] systemd[1]: Starting Journal Service...
         Starting Journal Service...
[[32m  OK  [0m] Started Journal Service.
[    7.497676] systemd[1]: Started Journal Service.
[    7.498577] systemd[1]: Starting Encrypted Volumes.
[[32m  OK  [0m] Reached target Encrypted Volumes.
[    7.499094] systemd[1]: Reached target Encrypted Volumes.
[    7.499507] systemd[1]: Starting udev Kernel Socket.
[[32m  OK  [0m] Listening on udev Kernel Socket.
[    7.500224] systemd[1]: Listening on udev Kernel Socket.
[    7.500544] systemd[1]: Starting udev Control Socket.
[[32m  OK  [0m] Listening on udev Control Socket.
[    7.501343] systemd[1]: Listening on udev Control Socket.
[    7.501365] systemd[1]: Starting Sockets.
[[32m  OK  [0m] Reached target Sockets.
[    7.501881] systemd[1]: Reached target Sockets.
[    7.502593] systemd[1]: Starting Device-Mapper Multipath Device Controller...
         Starting Device-Mapper Multipath Device Controller...
[    7.508214] systemd[1]: Starting Swap.
[[32m  OK  [0m] Reached target Swap.
[    7.508809] systemd[1]: Reached target Swap.
[    7.508845] systemd[1]: Starting Local File Systems.
[[32m  OK  [0m] Reached target Local File Systems.
[    7.509348] systemd[1]: Reached target Local File Systems.
[[32m  OK  [0m] Started Device-Mapper Multipath Device Controller.
[    7.867389] dracut-cmdline (182) used greatest stack depth: 9520 bytes left
[[32m  OK  [0m] Started dracut cmdline hook.
         Starting Setup Virtual Console...
         Starting dracut pre-udev hook...
[[32m  OK  [0m] Started Setup Virtual Console.
[    8.013064] squashfs: version 4.0 (2009/01/31) Phillip Lougher
[    8.024096] Loading iSCSI transport class v2.0-870.
[    8.030156] iscsi: registered transport (tcp)
[    8.039308] alua: device handler registered
[    8.047945] emc: device handler registered
[    8.056469] hp_sw: device handler registered
[    8.065297] rdac: device handler registered
[    8.151819] md: raid0 personality registered for level 0
[    8.161717] md: raid1 personality registered for level 1
[    8.171597] async_tx: api initialized (async)
[    8.172633] xor: measuring software checksum speed
[    8.267177]    8regs     :  8294.400 MB/sec
[    8.367175]    8regs_prefetch:  6668.800 MB/sec
[    8.467166]    32regs    : 12102.400 MB/sec
[    8.567176]    32regs_prefetch:  8172.800 MB/sec
[    8.567185] xor: using function: 32regs (12102.400 MB/sec)
[    8.737177] raid6: altivecx1  5312 MB/s
[    8.907172] raid6: altivecx2  7369 MB/s
[    9.077170] raid6: altivecx4  9051 MB/s
[    9.247174] raid6: altivecx8  6358 MB/s
[    9.417177] raid6: int64x1   2895 MB/s
[    9.587174] raid6: int64x2   4474 MB/s
[    9.757169] raid6: int64x4   6627 MB/s
[    9.927170] raid6: int64x8   2121 MB/s
[    9.927178] raid6: using algorithm altivecx4 (9051 MB/s)
[    9.927183] raid6: using intx1 recovery algorithm
[    9.933725] md: raid6 personality registered for level 6
[    9.933733] md: raid5 personality registered for level 5
[    9.933739] md: raid4 personality registered for level 4
[    9.961633] md: raid10 personality registered for level 10
[    9.971389] md: linear personality registered for level -1
[   10.012745] device-mapper: multipath: version 1.5.1 loaded
[   10.021897] device-mapper: multipath round-robin: version 1.0.0 loaded
[   10.113412] RPC: Registered named UNIX socket transport module.
[   10.113426] RPC: Registered udp transport module.
[   10.113432] RPC: Registered tcp transport module.
[   10.113438] RPC: Registered tcp NFSv4.1 backchannel transport module.
[   10.167106] pidof (246) used greatest stack depth: 8640 bytes left
[[32m  OK  [0m] Started dracut pre-udev hook.
         Starting udev Kernel Device Manager...
[   10.362743] systemd-udevd[270]: starting version 200
[[32m  OK  [0m] Started udev Kernel Device Manager.
         Starting dracut pre-trigger hook...
[[32m  OK  [0m] Started dracut pre-trigger hook.
         Starting udev Coldplug all Devices...
[   10.723731] ibmvscsi 30000002: SRP_VERSION: 16.a
[   10.724155] scsi0 : IBM POWER Virtual SCSI Adapter 1.5.9
[   10.724642] ibmvfc: IBM Virtual Fibre Channel Driver version: 1.0.10 (August 24, 2012)
[   10.730771] ibmvscsi 30000002: partner initialization complete
[   10.731307] ibmvscsi 30000002: host srp version: 16.a, host partition riley1 (1), OS 3, max io 262144
[   10.731432] ibmvscsi 30000002: Client reserve enabled
[   10.731467] ibmvscsi 30000002: sent SRP login
[   10.731538] ibmvscsi 30000002: SRP_LOGIN succeeded
[[32m  OK  [0m] Started udev Coldplug all Devices.
         Starting dracut initqueue hook...
[[32m  OK  [0m] Reached target System Initialization.
         Starting Show Plymouth Boot Screen...
[   10.761608] scsi 0:0:1:0: CD-ROM            AIX      VOPTA                 PQ: 0 ANSI: 4
[   10.761773] scsi1 : IBM POWER Virtual FC Adapter
[   10.767679] ibmvfc 30000019: Partner initialization complete
[   10.768964] scsi2 : IBM POWER Virtual FC Adapter
[   10.772661] ibmvfc 30000019: Host partition: riley1, device: vfchost4 U789D.001.DQDYGLC-P1-C1-T2 U9117.MMA.10297C0-V1-C17 max sectors 2048
[   10.774020] ibmvfc 3000001a: Partner initialization complete
[   10.778426] ibmvfc 3000001a: Host partition: riley2, device: vfchost0 U789D.001.DQDYGLC-P1-C2-T2 U9117.MMA.10297C0-V5-C17 max sectors 2048
[   10.814903] scsi 1:0:4:0: Direct-Access     IBM      2145             0000 PQ: 0 ANSI: 6
[   10.818416] scsi 1:0:5:0: Direct-Access     IBM      2145             0000 PQ: 0 ANSI: 6
[   10.824414] scsi 2:0:4:0: Direct-Access     IBM      2145             0000 PQ: 0 ANSI: 6
[   10.826437] scsi 2:0:5:0: Direct-Access     IBM      2145             0000 PQ: 0 ANSI: 6
[   10.917358] rm (358) used greatest stack depth: 7776 bytes left
[   10.952899] sr0: scsi-1 drive
[   10.952911] cdrom: Uniform CD-ROM driver Revision: 3.20
[   10.956516] sr 0:0:1:0: Attached scsi generic sg0 type 5
[   10.959733] scsi 1:0:4:0: alua: supports implicit TPGS
[   10.960584] scsi 1:0:4:0: alua: port group 00 rel port 01
[   10.960843] scsi 1:0:4:0: alua: rtpg failed with 8000002
[   10.961397] scsi 1:0:4:0: alua: transition timeout set to 60 seconds
[   10.961409] scsi 1:0:4:0: alua: port group 00 state A non-preferred supports tolusna
[   10.961419] scsi 1:0:4:0: alua: Attached
[   10.963269] sd 1:0:4:0: Attached scsi generic sg1 type 0
[   10.963378] sd 1:0:4:0: [sda] 31457280 512-byte logical blocks: (16.1 GB/15.0 GiB)
[   10.964505] sd 1:0:4:0: [sda] Write Protect is off
[   10.965092] sd 1:0:4:0: [sda] Write cache: disabled, read cache: enabled, supports DPO and FUA
[   10.965706] scsi 1:0:5:0: alua: supports implicit TPGS
[   10.966291] scsi 1:0:5:0: alua: port group 01 rel port 101
[   10.966585] scsi 1:0:5:0: alua: rtpg failed with 8000002
[   10.967244] scsi 1:0:5:0: alua: transition timeout set to 60 seconds
[   10.967254] scsi 1:0:5:0: alua: port group 01 state N non-preferred supports tolusna
[   10.967264] scsi 1:0:5:0: alua: Attached
[   10.968910] sd 1:0:5:0: [sdb] 31457280 512-byte logical blocks: (16.1 GB/15.0 GiB)
[   10.969621] sd 1:0:5:0: Attached scsi generic sg2 type 0
[   10.970329] sd 1:0:5:0: [sdb] Write Protect is off
[   10.970957] sd 1:0:5:0: [sdb] Write cache: disabled, read cache: enabled, supports DPO and FUA
[   10.970979]  sda: sda1 sda2 sda3
[   10.971604] scsi 2:0:4:0: alua: supports implicit TPGS
[   10.972835] scsi 2:0:4:0: alua: port group 00 rel port 01
[   10.973188] scsi 2:0:4:0: alua: rtpg failed with 8000002
[   10.973907] scsi 2:0:4:0: alua: transition timeout set to 60 seconds
[   10.973917] scsi 2:0:4:0: alua: port group 00 state A non-preferred supports tolusna
[   10.973926] scsi 2:0:4:0: alua: Attached
[   10.975607] sd 2:0:4:0: [sdc] 31457280 512-byte logical blocks: (16.1 GB/15.0 GiB)
[   10.975969] sd 2:0:4:0: Attached scsi generic sg3 type 0
[   10.976992] sd 2:0:4:0: [sdc] Write Protect is off
[   10.977776]  sdb: sdb1 sdb2 sdb3
[   10.977836] sd 2:0:4:0: [sdc] Write cache: disabled, read cache: enabled, supports DPO and FUA
[   10.978599] scsi 2:0:5:0: alua: supports implicit TPGS
[   10.978713] sd 1:0:4:0: [sda] Attached SCSI disk
[   10.979300] scsi 2:0:5:0: alua: port group 01 rel port 101
[   10.979582] scsi 2:0:5:0: alua: rtpg failed with 8000002
[   10.980196] scsi 2:0:5:0: alua: transition timeout set to 60 seconds
[   10.980208] scsi 2:0:5:0: alua: port group 01 state N non-preferred supports tolusna
[   10.980220] scsi 2:0:5:0: alua: Attached
[   10.982028] sd 2:0:5:0: [sdd] 31457280 512-byte logical blocks: (16.1 GB/15.0 GiB)
[   10.982260] sd 2:0:5:0: Attached scsi generic sg4 type 0
[   10.983292] sd 2:0:5:0: [sdd] Write Protect is off
[   10.983956] sd 2:0:5:0: [sdd] Write cache: disabled, read cache: enabled, supports DPO and FUA
[   10.984201]  sdc: sdc1 sdc2 sdc3
[   10.985661] sd 1:0:5:0: [sdb] Attached SCSI disk
[   10.990350]  sdd: sdd1 sdd2 sdd3
[   10.990678] sd 2:0:4:0: [sdc] Attached SCSI disk
[   10.996167] sd 2:0:5:0: [sdd] Attached SCSI disk
[   11.054975] cdrom_id (387) used greatest stack depth: 7616 bytes left
[   11.190751] device-mapper: multipath service-time: version 0.2.0 loaded
[   11.195214] bio: create slab <bio-1> at 1
[   11.199289] BUG: sleeping function called from invalid context at kernel/rcutree.c:2314
[   11.199302] in_atomic(): 1, irqs_disabled(): 0, pid: 97, name: multipathd
[   11.199311] 1 lock held by multipathd/97:
[   11.199317]  #0:  (&md->type_lock){+.+.+.}, at: [<c0000000006f5278>] .dm_lock_md_type+0x28/0x40
[   11.199341] Call Trace:
[   11.199348] [c00000000d37b3e0] [c000000000016eb0] .show_stack+0x130/0x200 (unreliable)
[   11.199363] [c00000000d37b4b0] [c0000000000f3ef8] .__might_sleep+0x1c8/0x2d0
[   11.199374] [c00000000d37b540] [c00000000019bbe0] .synchronize_sched+0x50/0x180
[   11.199387] [c00000000d37b5c0] [c00000000044b140] .blk_queue_bypass_start+0xa0/0xf0
[   11.199400] [c00000000d37b640] [c00000000046f150] .blkcg_activate_policy+0xc0/0x4c0
[   11.199414] [c00000000d37b710] [c0000000004775d0] .cfq_init_queue+0xb0/0x3c0
[   11.199425] [c00000000d37b7b0] [c000000000444ef8] .elevator_init+0x98/0x190
[   11.199437] [c00000000d37b840] [c000000000450f30] .blk_init_allocated_queue+0xa0/0xf0
[   11.199449] [c00000000d37b8d0] [c0000000006f53f0] .dm_setup_md_queue+0x60/0xe0
[   11.199461] [c00000000d37b950] [c0000000006fd264] .table_load+0x224/0x3d0
[   11.199473] [c00000000d37ba20] [c0000000006fe3f0] .ctl_ioctl+0x2d0/0x610
[   11.199484] [c00000000d37bc10] [c0000000006fe760] .dm_ctl_ioctl+0x30/0x50
[   11.199496] [c00000000d37bc90] [c00000000029f03c] .do_vfs_ioctl+0x52c/0x840
[   11.199508] [c00000000d37bd80] [c00000000029f424] .SyS_ioctl+0xd4/0xf0
[   11.199519] [c00000000d37be30] [c000000000009ee0] syscall_exit+0x0/0x98
[   11.199636] BUG: scheduling while atomic: multipathd/97/0x00000002
[   11.199644] 1 lock held by multipathd/97:
[   11.199650]  #0:  (&md->type_lock){+.+.+.}, at: [<c0000000006f5278>] .dm_lock_md_type+0x28/0x40
[   11.199668] Modules linked in: dm_service_time ibmvscsi ibmvfc scsi_transport_fc scsi_transport_srp ibmveth scsi_tgt sunrpc xts lrw gf128mul dm_crypt dm_round_robin dm_multipath linear raid10 raid456 async_raid6_recov async_memcpy async_pq raid6_pq async_xor xor async_tx raid1 raid0 scsi_dh_rdac scsi_dh_hp_sw scsi_dh_emc scsi_dh_alua iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi squashfs cramfs
[   11.199774] Call Trace:
[   11.199781] [c00000000d37ae90] [c000000000016eb0] .show_stack+0x130/0x200 (unreliable)
[   11.199796] [c00000000d37af60] [c00000000090879c] .__schedule_bug+0x80/0xa8
[   11.199808] [c00000000d37afe0] [c0000000008f8b10] .__schedule+0xb00/0xb90
[   11.199819] [c00000000d37b250] [c0000000008f51a4] .schedule_timeout+0x2d4/0x420
[   11.199831] [c00000000d37b390] [c0000000008f91f8] .wait_for_common+0x158/0x1c0
[   11.199844] [c00000000d37b450] [c0000000000daae8] .wait_rcu_gp+0x88/0xc0
[   11.199856] [c00000000d37b540] [c00000000019bc54] .synchronize_sched+0xc4/0x180
[   11.199868] [c00000000d37b5c0] [c00000000044b140] .blk_queue_bypass_start+0xa0/0xf0
[   11.199880] [c00000000d37b640] [c00000000046f150] .blkcg_activate_policy+0xc0/0x4c0
[   11.199892] [c00000000d37b710] [c0000000004775d0] .cfq_init_queue+0xb0/0x3c0
[   11.199903] [c00000000d37b7b0] [c000000000444ef8] .elevator_init+0x98/0x190
[   11.199914] [c00000000d37b840] [c000000000450f30] .blk_init_allocated_queue+0xa0/0xf0
[   11.199926] [c00000000d37b8d0] [c0000000006f53f0] .dm_setup_md_queue+0x60/0xe0
[   11.199938] [c00000000d37b950] [c0000000006fd264] .table_load+0x224/0x3d0
[   11.199950] [c00000000d37ba20] [c0000000006fe3f0] .ctl_ioctl+0x2d0/0x610
[   11.199961] [c00000000d37bc10] [c0000000006fe760] .dm_ctl_ioctl+0x30/0x50
[   11.199972] [c00000000d37bc90] [c00000000029f03c] .do_vfs_ioctl+0x52c/0x840
[   11.199983] [c00000000d37bd80] [c00000000029f424] .SyS_ioctl+0xd4/0xf0
[   11.199995] [c00000000d37be30] [c000000000009ee0] syscall_exit+0x0/0x98
[   11.310670] bio: create slab <bio-2> at 2
[   11.346869] dmsetup (456) used greatest stack depth: 6832 bytes left
[[32m  OK  [0m] Started Show Plymouth Boot Screen.
[[32m  OK  [0m] Reached target Paths.
[[32m  OK  [0m] Reached target Basic System.
[   11.707397]  rport-1:0-4: blocked FC remote port time out: removing target and saving binding
[   11.707447]  rport-1:0-5: blocked FC remote port time out: removing target and saving binding
[   11.710039] sd 1:0:4:0: alua: Detached
[   11.727469] sd 1:0:5:0: alua: Detached
[   11.739280] scsi 1:0:4:0: Direct-Access     IBM      2145             0000 PQ: 0 ANSI: 6
[   11.739928] scsi 1:0:4:0: alua: supports implicit TPGS
[   11.740590] scsi 1:0:4:0: alua: port group 00 rel port 01
[   11.740917] scsi 1:0:4:0: alua: rtpg failed with 8000002
[   11.741535] scsi 1:0:4:0: alua: transition timeout set to 60 seconds
[   11.741547] scsi 1:0:4:0: alua: port group 00 state A non-preferred supports tolusna
[   11.741558] scsi 1:0:4:0: alua: Attached
[   11.743570] sd 1:0:4:0: [sde] 31457280 512-byte logical blocks: (16.1 GB/15.0 GiB)
[   11.744248] sd 1:0:4:0: Attached scsi generic sg1 type 0
[   11.744782] sd 1:0:4:0: [sde] Write Protect is off
[   11.745404] sd 1:0:4:0: [sde] Write cache: disabled, read cache: enabled, supports DPO and FUA
[   11.747295] scsi 1:0:5:0: Direct-Access     IBM      2145             0000 PQ: 0 ANSI: 6
[   11.747969] scsi 1:0:5:0: alua: supports implicit TPGS
[   11.748817] scsi 1:0:5:0: alua: port group 01 rel port 101
[   11.749344] scsi 1:0:5:0: alua: rtpg failed with 8000002
[   11.750083] scsi 1:0:5:0: alua: transition timeout set to 60 seconds
[   11.750095] scsi 1:0:5:0: alua: port group 01 state N non-preferred supports tolusna
[   11.750106] scsi 1:0:5:0: alua: Attached
[   11.751506]  sde: sde1 sde2 sde3
[   11.752473] sd 1:0:5:0: [sdf] 31457280 512-byte logical blocks: (16.1 GB/15.0 GiB)
[   11.753563] sd 1:0:5:0: [sdf] Write Protect is off
[   11.754182] sd 1:0:5:0: [sdf] Write cache: disabled, read cache: enabled, supports DPO and FUA
[   11.757286] sd 1:0:5:0: Attached scsi generic sg2 type 0
[   11.760983]  sdf: sdf1 sdf2 sdf3
[   11.762036] sd 1:0:4:0: [sde] Attached SCSI disk
[   11.770096] device-mapper: table: 253:0: multipath: error getting device
[   11.770237] device-mapper: ioctl: error adding target to table
[   11.771475] sd 1:0:5:0: [sdf] Attached SCSI disk
[   11.787102] device-mapper: table: 253:0: multipath: error getting device
[   11.787221] device-mapper: ioctl: error adding target to table
dracut-initqueue[332]: mount: /dev/sr0 is write-protected, mounting read-only
[   12.223467] bio: create slab <bio-3> at 3
[[32m  OK  [0m] Started dracut initqueue hook.
         Starting dracut pre-mount hook...
[[32m  OK  [0m] Started dracut pre-mount hook.
[[32m  OK  [0m] Reached target Initrd Root File System.
         Starting Reload Configuration from the Real Root...
[[32m  OK  [0m] Started Reload Configuration from the Real Root.
[[32m  OK  [0m] Reached target Initrd File Systems.
         Starting dracut mount hook...
[   12.503452] EXT4-fs (dm-4): mounted filesystem with ordered data mode. Opts: (null)
[[32m  OK  [0m] Started dracut mount hook.
[[32m  OK  [0m] Reached target Initrd Default Target.
[   13.095896] multipathd (97) used greatest stack depth: 6352 bytes left
[   13.116079] systemd-udevd (304) used greatest stack depth: 5008 bytes left
[   13.256977] systemd-journald[78]: Received SIGTERM
[   23.211879] type=1403 audit(1366208122.410:2): policy loaded auid=4294967295 ses=4294967295
[   23.228317] systemd[1]: Successfully loaded SELinux policy in 8s 990ms 422us.
[   23.434900] systemd[1]: Relabelled /dev and /run in 99ms 79us.

Welcome to [1mLinux[0m!

[[32m  OK  [0m] Stopped Switch Root.
[[32m  OK  [0m] Stopped target Switch Root.
[[32m  OK  [0m] Stopped target Initrd File Systems.
[[32m  OK  [0m] Stopped target Initrd Root File System.
[[32m  OK  [0m] Listening on Syslog Socket.
[[32m  OK  [0m] Listening on Delayed Shutdown Socket.
[[32m  OK  [0m] Listening on /dev/initctl Compatibility Named Pipe.
[[32m  OK  [0m] Listening on LVM2 metadata daemon socket.
         Mounting Debug File System...
         Mounting Huge Pages File System...
         Mounting POSIX Message Queue File System...
[[32m  OK  [0m] Set up automount Arbitrary Executable File Formats F...utomount Point.
[[32m  OK  [0m] Reached target Paths.
         Starting Load Kernel Modules...
         Starting Apply Kernel Variables...
         Starting Monitoring of LVM2 mirrors, snapshots etc. ...ress polling...
[[32m  OK  [0m] Listening on udev Kernel Socket.
[[32m  OK  [0m] Listening on udev Control Socket.
         Starting udev Coldplug all Devices...
         Starting udev Kernel Device Manager...
         Starting Device-Mapper Multipath Device Controller...
[[32m  OK  [0m] Reached target Swap.
         Starting Remount Root and Kernel File Systems...
         Mounting Temporary Directory...
[[32m  OK  [0m] Mounted Debug File System.
[[32m  OK  [0m] Mounted Huge Pages File System.
[[32m  OK  [0m] Mounted POSIX Message Queue File System.
[[32m  OK  [0m] Started Remount Root and Kernel File Systems.
[[32m  OK  [0m] Mounted Temporary Directory.
         Starting Configure read-only root support...
         Starting Import network configuration from initramfs...
[[32m  OK  [0m] Stopped Trigger Flushing of Journal to Persistent Storage.
         Stopping Journal Service...
[[32m  OK  [0m] Stopped Journal Service.
         Starting Journal Service...
[[32m  OK  [0m] Started Journal Service.
[[32m  OK  [0m] Started Apply Kernel Variables.
[[32m  OK  [0m] Started udev Kernel Device Manager.
[[32m  OK  [0m] Reached target Local File Systems (Pre).
[[32m  OK  [0m] Started udev Coldplug all Devices.
         Starting udev Wait for Complete Device Initialization...
[[32m  OK  [0m] Started Configure read-only root support.
         Starting Load Random Seed...
[[32m  OK  [0m] Started Load Random Seed.
[[32m  OK  [0m] Started Load Kernel Modules.
         Mounting Configuration File System...
[[32m  OK  [0m] Mounted Configuration File System.
         Starting LVM2 metadata daemon...
[[32m  OK  [0m] Started Import network configuration from initramfs.
[[32m  OK  [0m] Started LVM2 metadata daemon.
[[32m  OK  [0m] Started Device-Mapper Multipath Device Controller.
[[32m  OK  [0m] Started Monitoring of LVM2 mirrors, snapshots etc. u...ogress polling.
[[32m  OK  [0m] Started udev Wait for Complete Device Initialization.
         Starting Activation of DM RAID sets...
[[32m  OK  [0m] Started Activation of DM RAID sets.
[[32m  OK  [0m] Reached target Local File Systems.
         Starting Recreate Volatile Files and Directories...
         Starting Tell Plymouth To Write Out Runtime Data...
         Starting Trigger Flushing of Journal to Persistent Storage...
[[32m  OK  [0m] Reached target Encrypted Volumes.
[[32m  OK  [0m] Started Tell Plymouth To Write Out Runtime Data.
[[32m  OK  [0m] Started Trigger Flushing of Journal to Persistent Storage.
[[32m  OK  [0m] Started Recreate Volatile Files and Directories.
[[32m  OK  [0m] Reached target System Initialization.
[[32m  OK  [0m] Reached target Timers.
[[32m  OK  [0m] Listening on Open-iSCSI iscsid Socket.
[[32m  OK  [0m] Listening on Open-iSCSI iscsiuio Socket.
[[32m  OK  [0m] Listening on Avahi mDNS/DNS-SD Stack Activation Socket.
[[32m  OK  [0m] Listening on D-Bus System Message Bus Socket.
[[32m  OK  [0m] Reached target Sockets.
[[32m  OK  [0m] Reached target Basic System.
         Starting firewalld - dynamic firewall daemon...
         Starting System Logging Service...
[[32m  OK  [0m] Started System Logging Service.
         Starting Terminate Plymouth Boot Screen...
         Starting Wait for Plymouth Boot Screen to Quit...
Comment 3 Mark Hamzy 2013-04-17 10:36:20 EDT
*** Bug 950626 has been marked as a duplicate of this bug. ***
Comment 4 Mark Hamzy 2013-04-17 11:04:20 EDT
Discussion in:

https://www.redhat.com/archives/dm-devel/2013-March/msg00002.html

Patch in:

https://patchwork.kernel.org/patch/2183891/

However, I do not think this patch works.  I am waiting for an official build with the fix in it.
Comment 5 Mark Hamzy 2013-04-17 12:00:34 EDT
Proposing as a FinalBlocker:

The installer must be able to complete an installation using any network-attached storage devices (e.g. iSCSI, FCoE, Fibre Channel)
Comment 6 Josh Boyer 2013-05-16 10:56:56 EDT
We pulled in the patch to f19 and it's upstream now in the 3.10-rc1 kernels in rawhide.  I've not seen any further occurrences of this.

Note You need to log in before you can comment on or make changes to this bug.